Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 407791

Summary: www-apps/drupal-7.12 Shows "Illegal string offset" Warning
Product: Gentoo Linux Reporter: Attila Stehr <as.gentoo>
Component: Current packagesAssignee: Gentoo Web Application Packages Maintainers <web-apps>
Status: RESOLVED WORKSFORME    
Severity: normal Keywords: PATCH
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://drupal.org/node/1414412#comment-5703050
Whiteboard:
Package list:
Runtime testing required: ---

Description Attila Stehr 2012-03-11 13:27:20 UTC
I get
"Warning: Illegal string offset 'field' in DatabaseCondition->__clone() "
when I use the drupal backend.

There was a discussion on drupal.org where a patch was supplied: 
http://drupal.org/node/1414412#comment-5703050
http://drupal.org/files/1414412-27_0.patch

Reproducible: Always

Actual Results:  
.
Comment 1 Attila Stehr 2012-03-11 13:28:36 UTC
Oh, well - and it works. ;)
Comment 2 Attila Stehr 2012-03-11 15:06:26 UTC
Well, looks like there is more to fix. :(

Warning: Illegal string offset 'field' in TaxonomyTermController->buildQuery() (line 1098 of /srv/www/localhost/htdocs/test/modules/taxonomy/taxonomy.module).


[ebuild   R    ] www-servers/apache-2.2.21-r2  USE="doc ssl threads -debug -ldap (-selinux) -static -suexec" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias -asis -auth_digest -authn_dbd -cern_meta -charset_lite -dbd -dumpio -ident -imagemap -log_forensic -proxy -proxy_ajp -proxy_balancer -proxy_connect -proxy_ftp -proxy_http -proxy_scgi -reqtimeout -substitute -version" APACHE2_MPMS="-event -itk -peruser -prefork -worker" 0 kB
[ebuild   R    ] dev-db/postgresql-base-9.1.3  USE="nls pam readline ssl threads zlib -doc -kerberos -ldap -pg_legacytimestamp" LINGUAS="de hu -af -cs -en -es -fa -fr -hr -it -ko -nb -pl -pt_BR -ro -ru -sk -sl -sv -tr -zh_CN -zh_TW" 0 kB
[ebuild   R    ] dev-db/postgresql-server-9.1.3  USE="nls pam uuid xml -doc -perl -pg_legacytimestamp -python (-selinux) -tcl" LINGUAS="de hu -af -cs -en -es -fa -fr -hr -it -ko -nb -pl -pt_BR -ro -ru -sk -sl -sv -tr -zh_CN -zh_TW" 0 kB
[ebuild   R    ] dev-lang/php-5.4.0  USE="apache2 bzip2 cli crypt ctype doc enchant exif fileinfo filter gd gdbm gmp hash iconv imap json nls pdo phar posix postgres readline session simplexml spell ssl threads tidy tokenizer truetype unicode xml zip zlib -bcmath -berkdb -calendar -cdb -cgi -cjk -curl -curlwrappers -debug -embed -firebird -flatfile -fpm (-frontbase) -ftp -inifile -intl -iodbc -ipv6 -kerberos -kolab -ldap -ldap-sasl -libedit -mhash -mssql -mysql -mysqli -mysqlnd -oci8-instant-client -odbc -pcntl -pic -qdbm -recode -sharedmem -snmp -soap -sockets -sqlite3 (-sybase-ct) -sysvipc -wddx -xmlreader -xmlrpc -xmlwriter -xpm -xsl" 0 kB
[ebuild   R    ] www-apps/drupal-7.12  USE="postgres vhosts -mysql -sqlite" 0 kB
Comment 3 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2013-11-28 23:23:51 UTC
This seems related to the D7 updates to support PHP-5.4.
As such, I feel inclined to close this as upstream. Also, please check if you get the same with the latest version of drupal in the tree.